%Performs tests from Section 4.2.2.
%A (fixed) 10-dimensional test function with infinitely many non-zero
%Fourier coefficents is used, which consists of tensor products
%of several B-splines of different order.
%For given relative threshold values, approximately the largest
%Fourier coefficients with corresponding frequencies are reconstructed
%using Algorithm 3.

clear all

nruns = 10; % number of repetitions

N = 64;
sparsity_s_array = 1000:1000:5000;

N_array = repmat(N,1,length(sparsity_s_array));
sparsity_s_local_array = 2*sparsity_s_array;
threshold_theta_array = repmat(1e-12,1,length(sparsity_s_array));
niter_r = 5;

test3_1_rr1l_sfft_algorithm_multipletests( N_array, sparsity_s_array, sparsity_s_local_array, threshold_theta_array, 'rlfftriabs', 5, nruns, 'test3_1_rlfftriabs_results.mat' );

print_test3_1( 'test3_1_rlfftriabs_results.mat' );
