function [ val ] = print_test1( filename )
%PRINT_TEST1 Output function of the script demo_test1_runtests.
%
% Copyright (c) 2015-2020 Toni Volkmer
%
% This program is free software; you can redistribute it and/or modify it under
% the terms of the GNU General Public License as published by the Free Software
% Foundation; either version 2 of the License, or (at your option) any later
% version.
%
% This program is distributed in the hope that it will be useful, but WITHOUT
% ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
% FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
% details.
%
% You should have received a copy of the GNU General Public License along with
% this program; if not, write to the Free Software Foundation, Inc., 51
% Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.

val = 0;

load(filename);

fprintf('\n');
fprintf('algorithm = %s, number of repetitions for each test setting = %d\n', algorithm_name, nruns);
fprintf('signal sparsity = %d, algorithm sparsity parameter = %d\n', signal_sparsity_k, sparsity_s);
fprintf('threshold parameter theta = %.3e, number of detection iterations r = %d\n', threshold_theta, niter_r);
fprintf('--------------------------------------------------------------------\n');
fprintf('    input       ||                     output\n');
fprintf(' N |  d | #freq || max #freq |  max. total |   min #freq  | max rel.\n');
fprintf('   |    |       ||  candid.  |  #samples  |    correct   | l2-error\n');

for iN=1:length(N_array)
  N = N_array(iN);
  fprintf('--------------------------------------------------------------------\n');
  for id=1:length(d_array)
    d = d_array(id);
    nfreq_correct_array = [results(iN,id,:).num_intersect];
    if nruns ~= length(nfreq_correct_array)
      continue;
    end
    nfreq_allcorrect = length(find(nfreq_correct_array==signal_sparsity_k));
    err_l2_rel_array = [results(iN,id,:).err_l2_rel];
    freq_cand_sizes_matrix = reshape([results(iN,id,:).freq_cand_sizes],d, nruns)';
    lattice_sizes_matrix = reshape([results(iN,id,:).lattice_sizes],d, nruns)';
    sample_sizes_matrix = reshape([results(iN,id,:).sample_sizes],d, nruns)';
    nsamples_array = sum(sample_sizes_matrix,2);
    if nfreq_allcorrect == nruns
    fprintf('%2d | %2d | %5d || %9d | %10d | %5d  (OK)  | %.2e\n', N, d, signal_sparsity_k, max(max(freq_cand_sizes_matrix)), max(nsamples_array), min(nfreq_correct_array), max(err_l2_rel_array));
    else
    fprintf('%2d | %2d | %5d || %9d | %10d | %5d (FAIL) | %.2e\n', N, d, signal_sparsity_k, max(max(freq_cand_sizes_matrix)), max(nsamples_array), min(nfreq_correct_array), max(err_l2_rel_array));
    end
  end
end
fprintf('--------------------------------------------------------------------\n');

end

